<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>DetalleConsulta</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
    <link rel="stylesheet" href="css/estilo.css">
</head>

<body>
    <!--barra de navegacion-->
    <div>
        <h1 class="display-4 text-center mt-3 mb-3">HOSPITAL "ME ESTOY MURIENDO"</h1>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand/logo -->
            <a class="navbar-brand" href="index.html">Inicio</a>

            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="doctor.html">Doctor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="especialidad.html">Especialidad</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="paciente.html">Paciente</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="consulta.html">Consulta</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="DetalleConsulta.html">DetalleConsulta</a>
                </li>
            </ul>
        </nav>
    </div>

    <div class="container">
        <h1 class="display-4 text-center mt-2">CONSULTA</h1>
        <hr>
        <div class="row">
            <label for="fecha" class="col-form-label col-1">FECHA: </label>
            <input class="form-control col-sm" type="date" name="fecha" id="fecha">
        </div>
        <div class="row mt-2">
            <label for="doctor" class="col-form-label col-1">DOCTOR: </label>
            <input class="form-control col-sm" name="doctor" id="doctor" readonly="readonly">
            <button type="button" class="ml-2 btn btn-info" data-toggle="modal"
                data-target="#doctorModal">Buscar</button>
        </div>
        <div class="row mt-2">
            <label for="paciente" class="col-form-label col-1">PACIENTE: </label>
            <input class="form-control col-sm" name="paciente" id="paciente" readonly="readonly">
            <button type="button" class="ml-2 btn btn-info" data-toggle="modal"
                data-target="#pacienteModal">Buscar</button>
        </div>
        <hr>
        <h5 class="text-center" style="font-size: 30px;"><strong>DETALLE</strong></h5>
        <div class="row mt-4 card">
            <label for="sintoma" class="col-form-label text-center">SINTOMAS</label>
            <textarea class="form-control" name="sintoma" id="sintoma" cols="30" rows="2"
                placeholder="Dolor de panza"></textarea>
            <button type="button" class="btn btn-success mt-1" id="agregarSintoma">Agregar</button>
        </div>
        <!--************************TABLA************************************-->
        <div class="container">
            <table class="table table-bordered mt-2" id="tDatos">
                <thead class="text-center">
                    <tr>
                        <th>DESCRIPCION</th>
                        <th>OPERACION</th>
                    </tr>
                </thead>
                <tbody id="dConsulta">

                </tbody>
            </table>
        </div>
        <!--****************************************************************-->
        <hr>
        <div class="row">
            <label for="">DIAGNOSTICO:</label>
            <textarea class="form-control" name="diagnostico" id="diagnostico" cols="30" rows="2"
                placeholder="No comer mucho!"></textarea>
        </div>
        <hr>
        <!--BOTONES-->
        <div class="form-group">
            <!-- <button class="btn btn-danger">Cancelar</button> -->
            <button class="btn btn-primary" id="guardar" name="guardar" type="button">Guardar</button>
        </div>
        <hr>
    </div>

    <!--MODAL PARA EL DOCTOR-->
    <div id="doctorModal" class="modal fade">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Listado de Doctores</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">×</button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <table class="table mt-2" id="docTable">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>NOMBRE</th>
                                    <th>DIRECCION</th>
                                    <th>ESPECIALIDAD</th>
                                    <th>ACCIONES</th>
                                </tr>
                            </thead>
                            <tbody id="cDoctor">

                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="reset" class="btn btn-success" data-dismiss="modal" value="Cancelar">
                </div>
            </div>
        </div>
    </div>

    <!--MODAL PARA EL PACIENTE-->
    <div id="pacienteModal" class="modal fade">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Listado de Pacientes</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">×</button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <table class="table mt-2" id="paTabla">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>NOMBRE</th>
                                    <th>DIRECCION</th>
                                    <th>AGREGAR</th>
                                </tr>
                            </thead>
                            <tbody id="cPaciente">

                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="reset" class="btn btn-success" data-dismiss="modal" value="Cancelar">
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
    <script src="js/consultaDM.js"></script>
</body>

</html>